Skip to main content
GET
/
candidates
/
search
Search candidates
curl --request GET \
  --url https://hireloam.com/api/v1/candidates/search \
  --header 'Authorization: Bearer <token>'
{
  "applications": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "candidate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "full_name": "<string>",
        "primary_email": "[email protected]",
        "linkedin_url": "<string>"
      },
      "stage": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "order_index": 123
      },
      "job": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>"
      }
    }
  ],
  "query": "<string>",
  "count": 123
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Query Parameters

q
string
required

Search query (name or email, minimum 2 characters)

Minimum string length: 2
job_id
string<uuid>

Limit search to a specific job

limit
integer
default:20

Maximum number of results (default 20, max 50)

Required range: 1 <= x <= 50

Response

Search results

applications
object[]
query
string
count
integer